/* Copyright (c) 2001 Oracle Corporation. All Rights Reserved */
package oracle.portal.provider.v2;

/**
 * Represents various portal configuration settings that are pertinent
 * to portlets.
 * <P>
 * @author Michael Freedman
 */
public class PortalConfig
{

    public static final long  PORTALCFG_MOBILE_ENABLED = 1;

    private long mPortalConfig;

    /**
     * Constructor
     */
    public PortalConfig(long ptlConfig)
    {
        mPortalConfig = ptlConfig;
    }

    public PortalConfig(Long ptlConfig)
    {
        mPortalConfig = ptlConfig.longValue();
    }

    public boolean isMobileEnabled()
    {
        return ((mPortalConfig & PORTALCFG_MOBILE_ENABLED) == PORTALCFG_MOBILE_ENABLED);
    }

    public long getValue()
    {
        return mPortalConfig;
    }

    public void setValue(long ptlConfig)
    {
        mPortalConfig = ptlConfig;
    }

    public void setValue(Long ptlConfig)
    {
        mPortalConfig = ptlConfig.longValue();
    }
}

 
